Package net.shibboleth.idp.authn.impl

# Class JAASCredentialValidator.SimpleCallbackHandler

java.lang.Object
net.shibboleth.idp.authn.impl.JAASCredentialValidator.SimpleCallbackHandler

All Implemented Interfaces:
  `CallbackHandler`

Enclosing class:
  JAASCredentialValidator

protected class JAASCredentialValidator.SimpleCallbackHandler extends Object implements CallbackHandler
A callback handler that provides name and password data to a JAAS login process, along with other miscellany. This handler supports `NameCallback`, `PasswordCallback`, and `LanguageCallback`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final UsernamePasswordContext`
`context`
Context for call.

## Constructor Summary

Constructors
Constructor
Description
`SimpleCallbackHandler(UsernamePasswordContext usernamePasswordContext)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`handle(Callback[] callbacks)`
Handle a callback.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### context

@Nonnull private final UsernamePasswordContext context
Context for call.

## Constructor Details

### SimpleCallbackHandler

public SimpleCallbackHandler(@Nonnull UsernamePasswordContext usernamePasswordContext)
Constructor.

Parameters:
  `usernamePasswordContext` - input context

## Method Details

### handle

public void handle(Callback[] callbacks) throws UnsupportedCallbackException
Handle a callback.

Specified by:
  `handle` in interface `CallbackHandler`
Parameters:
  `callbacks` - The list of callbacks to process.
Throws:
  `UnsupportedCallbackException` - If callbacks has a callback other than `NameCallback` or `PasswordCallback`.